# saga::advert Namespace Reference

The Advert Service API package. More...

## Classes
class | entry
| The advert class represents an entry in a saga::advert::directory. An advert directory is a meta data directory with a hierarchical namespace attached. This class inherits all methods from saga::name_space::namespace_entry and provides additional methods to publish new and query existing adverts. More...
class | directory
| The directory class represents a directory within a meta data directory with a hierarchical namespace attached. This class inherits all methods from saga::name_space::directoryectory. More...
## Namespaces
namespace | metrics
| Available metrics defined for the Advert Service API package.

## Enumerations
enum | flags { Unknown = saga::name_space::Unknown, None = saga::name_space::None, Overwrite = saga::name_space::Overwrite, Recursive = saga::name_space::Recursive, Dereference = saga::name_space::Dereference, Create = saga::name_space::Create, Exclusive = saga::name_space::Exclusive, Lock = saga::name_space::Lock, CreateParents = saga::name_space::CreateParents, Read = 512, Write = 1024, ReadWrite = Read | Write }
| The available mode flags for advert package objects. More...

## Detailed Description

The Advert Service API package.

## Enumeration Type Documentation

enum saga::advert::flags

The available mode flags for advert package objects.

Enumerator:

  Unknown |
  None |
  Overwrite |
  Recursive |
  Dereference |
  Create |
  Exclusive |
  Lock |
  CreateParents |
  Read |
  Write |
  ReadWrite |